# nick-script

构建工具

## 关于 css 打包

> scss 和 css 文件的文件名最周以.module 结束，默认开启 module

```
例如  index.module.scss 将开启module,  index.module1.scss将不会开启
```

## 关于自定义配置

新建 n.config.js 文件并试用 [webpack-merge](https://github.com/survivejs/webpack-merge) 进行合并

### 开发环境

process.env.NODE_ENV==="development"

### html 模板文件配置

如果项目根目录存在 index.html,那么将读取项目根目录的 index.html,否则将使用默认配置

### postcoss

script 已经安装 postcss 只需要在根目录创建 postcss.config.js 配置规则[postcss plugin](https://github.com/postcss/postcss#plugins)

### css 控制

自定义 css 控制请在 css:{css:[customConfig,customConfig]},将比较每个的 test(由于使用得是===来进行判断,所以 test 配置尽量使用正则表达式或者对象),并覆盖默认配置

### babel 配置按照官网配置

### browserslist 控制 请在 package.json 进行修改

## ssr

- proxy
  默认转发所有的所有/api 网路请求到指定的地址

- 数据管理 使用了 redux 来进行管理

- 异步加载使用 [LoadablePlugin](https://github.com/smooth-code/loadable-components#readme)

## 关于 ts

如果检测到项目根目录下有 tsconfig.json 文件,那么将启动 ts 的编译
